Security Lab

SQL-инъекция в PunBB

Дата публикации:18.10.2005
Дата изменения:16.10.2006
Всего просмотров:3470
Опасность:
Средняя
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Неавторизованное изменение данных
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: PunBB 1.x
Уязвимые версии: PunBB 1.2.7 и 1.2.8.

Описание:
Удаленный пользователь может выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует при обработке входных данных в параметре old_searches сценария search.php. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольные команды в базе данных приложения. Пример:

http://[site]/search.php?action=search&
keywords=&author=d3vilbox&forum=-1
&search_in=all&sort_by=0&sort_dir=DESC&
show_as=topics& search=Submit&old_searches[]=[sql injection]

Примечание: Для удачной эксплуатации уязвимости необходимо, чтобы была включена опция register_globals и выключена опция magic_quotes_gpc в конфигурационном файле PHP.

URL производителя: www.pubbb.org

Решение: Установите последнюю версию (1.2.9) с сайта производителя.

Ссылки: Punbb SQL Injection Vulnerability